Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 155537 Details for
Bug 239004
New packaging rules for ocaml and friends
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
find-requires script for ocaml
ocaml-find-requires.sh (text/plain), 2.11 KB, created by
Richard W.M. Jones
on 2007-05-28 11:09:38 UTC
(
hide
)
Description:
find-requires script for ocaml
Filename:
MIME Type:
Creator:
Richard W.M. Jones
Created:
2007-05-28 11:09:38 UTC
Size:
2.11 KB
patch
obsolete
>#!/bin/sh - ># OCaml-specific "find-requires" for RPM. ># By Richard W.M. Jones <rjones@redhat.com> ># $Id: ocaml-find-requires.sh,v 1.6 2007/05/25 17:09:21 rjones Exp $ > >#set -x > ># Usage: ># (1) Add the following to the spec file: ># %define _use_internal_dependency_generator 0 ># %define __find_requires /usr/lib/rpm/ocaml-find-requires.sh ># %define __find_provides /usr/lib/rpm/ocaml-find-provides.sh ># ># (2) If you don't want the module to depend on the exact compiler ># version then use ocaml-find-requires.sh -c, but this is not something ># you should do normally. ># ># (3) For any modules which you want to ignore, use '-i Modulename'. > >TEMP=`getopt -o ci: -n ocaml-find-requires.sh -- "$@"` >if [ $? != 0 ]; then echo "ocaml-find-requires.sh: failed" >&2; exit 1; fi >eval set -- "$TEMP" > >emit_compiler_version=yes >ignore_modules=nOTREAL > >while true; do > case "$1" in > -c) emit_compiler_version=; shift;; > -i) ignore_modules="$2 $ignore_modules"; shift 2;; > --) shift; break;; > *) echo "ocaml-find-requires.sh: option error at $1"; exit 1;; > esac >done > ># Get the list of files. >files=`sed "s/['\"]/\\\&/g"` > ># Use ordinary find-requires first. >echo $files | tr [:blank:] '\n' | /usr/lib/rpm/find-requires > ># Get list of .cmi, .cmo and .cma files. >files=`echo $files | tr [:blank:] '\n' | grep '\.cm[ioa]$'` > >if [ -z "$files" ]; then exit 0; fi > ># Get the list of modules exported by the file(s). >modules=`ocamlobjinfo $files | > grep -E '(Unit|Module) name: ' | > awk '{print $3}'` > ># Turn list of modules into a regexp that matches the module names. >modules_re=`echo $modules | sed 's/ /|/g'` >ignore_modules_re=`echo $ignore_modules | sed 's/ /|/g'` > ># Get a list of the modules these file(s) depend on. >ocamlobjinfo $files | >grep -Eo '[0-9a-f]{32}[[:space:]]+[A-Za-z0-9_]+' | >grep -Ev "$modules_re" | >while read md5sum module; do > echo ocaml-$module-$md5sum >done | >grep -Ev "$ignore_modules_re" | >sort -u > >if [ -n "$emit_compiler_version" ]; then > # Every OCaml program depends on the precise version of the > # compiler which was used to compile it. > rpm -q --qf '%{NAME} = %{VERSION}-%{RELEASE}\n' ocaml >fi
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 239004
:
155537
|
155538
|
156725
|
156727